SDL_COLORSPACECHROMA(3)

NAME
SDL_COLORSPACECHROMA - A macro to retrieve the chroma sample location of an SDL_Colorspace.

SYNOPSIS
#include <SDL3/SDL_pixels.h>

#define SDL_COLORSPACECHROMA(cspace)     (SDL_ChromaLocation)(((cspace) >> 20) & 0x0F)

MACRO PARAMETERS

cspace
    an SDL_Colorspace to check.

RETURN VALUE
Returns the SDL_ChromaLocation of cspace.

THREAD SAFETY
It is safe to call this macro from any thread.

AVAILABILITY
This macro is available since SDL 3.2.0.